Bug 13729 - wrong %pre scriptlet
: wrong %pre scriptlet
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jetty5)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-17 17:08 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-17 17:08:56
пакет содержит вызовы useradd/groupadd для псевдопользователя jetty5
с фиксированными значениями numeric uid/gid, что как правило не удаётся,
поскольку эти значения уже заняты.
также плохой идеей следует считать создание псевдопользователя
с /bin/sh в качестве login shell.
------- Comment #1 From 2007-12-17 17:47:43 -------
спасибо, знаю.
------- Comment #2 From 2007-12-18 23:43:10 -------
in *alt2*
/bin/sh пока не менял. что там самое идеологически правильное, /bin/false?
------- Comment #3 From 2007-12-19 00:40:32 -------
распространено /dev/null.
su имет ключик -s, напомню на всякий случай и, извините, reopen.
------- Comment #4 From 2007-12-21 12:20:05 -------
ок. только уже в следующей сборке, чтобы лишний трафик не создавать.
------- Comment #5 From 2008-01-27 17:55:29 -------
Кстати о: man useradd, man groupadd на предмет ключика -r.
------- Comment #6 From 2008-02-02 23:52:22 -------
fixed in
jetty5-5.1.12-alt4_1jpp1.7